Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Appel à contributeurs pour la doc.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#26 Le 20/06/2017, à 22:56

paulkassouf

Re : WIFI lent et déconnexions

sad

	SSID: SFR_0A40
	freq: 2462
	RX: 1553357 bytes (3061 packets)
	TX: 209326 bytes (1269 packets)
	signal: -53 dBm
	tx bitrate: 5.5 MBit/s

	bss flags:	short-slot-time
	dtim period:	3
	beacon int:	100

Hors ligne

#27 Le 20/06/2017, à 22:59

paulkassouf

Re : WIFI lent et déconnexions

et pas mieux :

paul@paul-TERRA-MOBILE-360-11:~$ sudo ifdown wlp2s0
Unknown interface wlp2s0
paul@paul-TERRA-MOBILE-360-11:~$ sudo iwconfig wlp2s0 rate 12M
Error for wireless request "Set Bit Rate" (8B20) :
    SET failed on device wlp2s0 ; Operation not supported.
paul@paul-TERRA-MOBILE-360-11:~$ sudo ifup wlp2s0
Unknown interface wlp2s0
paul@paul-TERRA-MOBILE-360-11:~$ 

Hors ligne

#28 Le 21/06/2017, à 06:21

xubu1957

Re : WIFI lent et déconnexions

Bonjour,

Redonne :

ifconfig

Dans : Résolu] Déconnections wifi carte realtek8821ae

moko138 a écrit :
arbras a écrit :

Les derniers réglages testés pour les paramètres "bitrate" et "txpower" donnent toute satisfaction.

Merci de les indiquer ici pour les suivants !

Le 20/06/2017, arbras a écrit :

Je fais référence à ces réglages 10mW et 20Mb.

arbras a écrit :

Ok, je vais tester différentes valeurs parce que dans le fichier actuel rc.local, il n'y a rien. Les valeurs indiquées dans l'exemple ont tendance à ralentir ma connexion. Je tente maintenant 10mw et 20Mb, c'est à dire une marge par rapport à au débit théorique de la box (12 affiché).

Dernière modification par xubu1957 (Le 21/06/2017, à 06:29)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Aspire 9411ASWI - HP 7100 DC - Asus 1015BX -Fujitsu Siemens Scaleo J3000  Membre de : Linux-Azur

Hors ligne

#29 Le 22/06/2017, à 16:10

paulkassouf

Re : WIFI lent et déconnexions

Bonjour.

paul@paul-TERRA-MOBILE-360-11:~$ ifconfig
enp1s0    Link encap:Ethernet  HWaddr b8:ae:ed:ed:61:b9  
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          Packets reçus:0 erreurs:0 :0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 lg file transmission:1000 
          Octets reçus:0 (0.0 B) Octets transmis:0 (0.0 B)

lo        Link encap:Boucle locale  
          inet adr:127.0.0.1  Masque:255.0.0.0
          adr inet6: ::1/128 Scope:Hôte
          UP LOOPBACK RUNNING  MTU:65536  Metric:1
          Packets reçus:165 erreurs:0 :0 overruns:0 frame:0
          TX packets:165 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 lg file transmission:1 
          Octets reçus:15439 (15.4 KB) Octets transmis:15439 (15.4 KB)

wlp2s0    Link encap:Ethernet  HWaddr f0:03:8c:73:d9:fd  
          inet adr:192.168.1.53  Bcast:192.168.1.255  Masque:255.255.255.0
          adr inet6: fe80::c:db8:235a:2a13/64 Scope:Lien
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          Packets reçus:517 erreurs:0 :0 overruns:0 frame:0
          TX packets:746 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 lg file transmission:1000 
          Octets reçus:260367 (260.3 KB) Octets transmis:122852 (122.8 KB)

Hors ligne

#30 Le 22/06/2017, à 16:40

xubu1957

Re : WIFI lent et déconnexions

Bonjour,

Tu n'as pas une connexion par la fibre ?


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Aspire 9411ASWI - HP 7100 DC - Asus 1015BX -Fujitsu Siemens Scaleo J3000  Membre de : Linux-Azur

Hors ligne

#31 Le 22/06/2017, à 17:15

paulkassouf

Re : WIFI lent et déconnexions

Non j'ai l'ADSL

Hors ligne

#32 Le 22/06/2017, à 17:25

xubu1957

Re : WIFI lent et déconnexions

J'épluchais l'aide de la Box :

- box-nb6
-problemes-connexion-wifi-box

et dans box-fibre/optimiser-debit-wifi

6.    Par défaut, le « Mode radio » est réglé sur « 11b/g/n ». Vous pouvez choisir le mode « 11n ». Attention : quelques équipements ne sont pas compatibles avec la norme WiFi 802.11n. Assurez-vous que tous les équipements connectés en wifi à votre box sont compatibles avec cette norme avant de changer le mode ; 
7.    Cochez l’option « Utilisation des canaux larges ». Ce réglage n’est visible que lorsque le mode « 11n » est activé. Il permet d’augmenter le débit de son propre WiFi. Attention, il peut perturber les réseaux WiFi de vos voisins.


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Aspire 9411ASWI - HP 7100 DC - Asus 1015BX -Fujitsu Siemens Scaleo J3000  Membre de : Linux-Azur

Hors ligne

#33 Le 22/06/2017, à 22:36

paulkassouf

Re : WIFI lent et déconnexions

J'avais essayé : ça ne se connecte plus. Je suis en mode radio b/g pour éviter que ça le refasse. Pour rappel mon interface wifi : BCM4356 802.11ac Wireless Network Adapter [14e4:43ec] (rev 02) donc non comptatible avec le mode n

Je pense que le probleme vient de mon ordinateur sous lubuntu 16.04 puisque mon eepc asus sous ubuntu 14.04 n'a pas de soucis pour se connecter et sous windows mon terra fonctionnait sans soucis en mode radio b/g/n et à bonne vitesse.

Dernière modification par paulkassouf (Le 22/06/2017, à 22:50)

Hors ligne

#34 Le 22/06/2017, à 23:11

xubu1957

Re : WIFI lent et déconnexions

J'ai aussi des solutions de fortune :

Selon la marque et/ou le modèle de votre point d'accès ou de votre box, vous pouvez aussi trouver les mots doux suivants dans vos réglages :

Beacon Interval (Intervalle de transmission de balise) : Intervalle de temps (en ms) entre deux transmissions d'une trame balise (Beacon), donnant les informations sur le BSSID (Basic Service Set Identifier), les caractéristiques, et éventuellement le SSID.
DTIM Interval (Intervalle DTIM) : Intervalle de temps (en ms) entre deux transmissions du DTIM (Delivery Traffic Indication Message), permettant d'indiquer aux clients WiFi faisant de la veille radio (pour l'économie d'énergie) à quelle fréquence se réveiller pour écouter les messages diffusés par le point d'accès.
Fragmentation Threshold (Seuil de fragmentation) : Taille maximale des paquets envoyés (en octets). Plus le paquet est gros et plus les conséquences d'une mauvaise réception de ce paquet seront importantes car il faut alors retransmettre le paquet entièrement en cas d'erreur.
RTS Threshold (Seuil RTS) : Taille d'un paquet de données (en octets) à partir de laquelle l'émetteur va faire une demande de droit de parole afin qu'aucun autre émetteur ne fasse d'émission au même moment, ce qui entraînerait une collision ayant pour conséquence la perte des paquets émis. Cette valeur est à diminuer dans le cadre d'un réseau avec beaucoup de trafic afin d'éviter au maximum les collisions et l'écroulement des débits.
Max Associated Clients (Clients sans fil max.) : C'est le nombre maximal de clients autorisés à se connecter simultanément au point d'accès. Par exemple, si votre réseau domestique ne comporte que 5 ordinateurs clients, vous pouvez fixer cette valeur à 5, interdisant ainsi toute connexion supplémentaire lorsque vos postes sont connectés. Il peut aussi être intéressant d'abaisser cette valeur si les clients connectés en trop grand nombre créent une surcharge au niveau du point d'accès, ou consomment trop de bande passante.
TX Antenna (Antenne TX) : Détermine quelle antenne est utilisée pour l'émission. On peut choisir d'utiliser l'antenne droite ou l'antenne gauche. En choisissant la valeur "auto", le point d'accès choisira lui même l'antenne offrant la meilleure qualité de signal radio.
RX Antenna (Antenne RX) : Détermine quelle antenne est utilisée pour la réception. On peut choisir d'utiliser l'antenne droite ou l'antenne gauche. En choisissant la valeur "auto", le point d'accès choisira lui même l'antenne offrant la meilleure qualité de signal radio.
Xmit Power (TX Power) : Détermine la puissance d'émission de la carte WiFi Broadcom du WRT54GL exprimée en mW. La valeur par défaut est de 28 mW, la puissance d'émission peut être augmentée jusqu'à 251 mW sur le WRT54GL (nous vous rappelons qu'en France la puissance maximale autorisée pour le WiFi est fixée à 100 mW).
Bluetooth Coexistence Mode (Mode de coexistence Bluetooth) : Les dispositifs 802.11 (WiFi) et Bluetooth peuvent interférer entre eux lorsque le périphérique 802.11 (WiFi) fonctionne sur la bande de 2,4 GHz. Tous les périphériques Bluetooth fonctionnent à la bande de 2,4 GHz. Si vous rencontrez des déconnexions, que la portée ou la vitesse, et d'autres problèmes de connectivité apparaissent lorsque vous allumez certains de vos périphériques Bluetooth, sélectionnez "Activer" (cela va demander au routeur et au périphérique Bluetooth d'utiliser à tour de rôle le signal) ou "préemption" (le routeur informera le périphérique Bluetooth sur le canal utilisé, et le périphérique Bluetooth tentera de désactiver la communication sur les canaux Bluetooth respectifs). Cette option nécessite que le périphérique Bluetooth soit capable de coopérer. Si le périphérique Bluetooth ne gère pas les techniques de coexistence, cette option n'aura aucun effet.
WMM (Wireless Multimedia Extensions) : Permet d'affecter une priorité élevée aux divers flux multimédia.

> [Tuto] - Optimisations WiFi

ou une antenne amplifiée dans amplify-signal ou en français :
> fabriquer-amplificateur-signal-

Dernière modification par xubu1957 (Le 22/06/2017, à 23:13)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Aspire 9411ASWI - HP 7100 DC - Asus 1015BX -Fujitsu Siemens Scaleo J3000  Membre de : Linux-Azur

Hors ligne

#35 Le 23/06/2017, à 17:13

xubu1957

Re : WIFI lent et déconnexions

Bonjour,

(edit) Dans la discussion citée dans mon message #8 : [SOLVED] wifi drop-out ... 16.10

Dans le post # 1:

Network controller [0280]: Broadcom Limited BCM4356 802.11ac Wireless Network Adapter [14e4:43ec] (rev 02)
#2, jeremy31 a écrit :

Vous pouvez également désactiver la gestion de l'alimentation wifi avec :

sudo sed -i 's/wifi.powersave = 3/wifi.powersave = 2/' /etc/NetworkManager/conf.d/default-wifi-powersave-on.conf

Mais les retours des wificheks ne sont pas affichés, et il s'agit d'un ordi  lenovo x260.

C'est une piste pour chercher vers la gestion d'énergie de la carte wifi, mais je ne sais pas gérer ces commandes particulières.

Dernière modification par xubu1957 (Le 24/06/2017, à 13:08)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Aspire 9411ASWI - HP 7100 DC - Asus 1015BX -Fujitsu Siemens Scaleo J3000  Membre de : Linux-Azur

Hors ligne

#36 Le 06/07/2017, à 15:32

paulkassouf

Re : WIFI lent et déconnexions

Bonjour xubu 1957. J'ai tenté sudo iwconfig wlp2s0 power off. Mais j'ai été déconnecté. Je pense maintenant aussi que le problème vient du power management. Sur le même ordinateur sous Windows 10 internet marchait bien. Je vais acheter un câble ethernet tout simplement en attendant de comprendre comment désactiver de façon permanente le wifi power management

Hors ligne

#37 Le 06/07/2017, à 15:49

paulkassouf

Re : WIFI lent et déconnexions

https://askubuntu.com/questions/606446/ … 5-04-vivid

Check the file /etc/NetworkManager/conf.d/default-wifi-powersave-on.conf if the system uses NetworkManager. It contains wifi.powersave = 3. This configuration file came after 14.04 LTS.

To switch off the WLAN power save do:

Create a new configuration file with

sudo nano /etc/NetworkManager/conf.d/system-wifi-powersave.conf 

Put the following code in the file

# File to be placed under /etc/NetworkManager/conf.d
# File name lexically later than 'default…'
[connection]
# Values for wifi.powersave are 
# 0 (use default), 1 (ignore/don't touch), 2 (disable) or 3 (enable).
wifi.powersave = 2

Save the file with CTRL+O, leave nano with CTRL+X, reboot with sudo reboot now and check with iwconfig.

Further hints

The name of the new file is important. It needs to be later in the alphabet than default-wifi-powersave-on.
All WLAN connections are affected by this system-wide change.
Each WLAN connection still can have individual power management settings. See the answer from AHAN in this thread.

et là :

paul@paul-TERRA-MOBILE-360-11:~$ iwconfig
wlp2s0    IEEE 802.11  ESSID:"SFR_0A40"  
          Mode:Managed  Frequency:2.462 GHz  Access Point: 24:95:04:D3:0A:44   
          Bit Rate=1 Mb/s   Tx-Power=31 dBm   
          Retry short limit:7   RTS thr:off   Fragment thr:off
          Power Management:off
          Link Quality=50/70  Signal level=-60 dBm  
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:94  Invalid misc:0   Missed beacon:0

:)

Par contre le bitrate est super lent (ma femme défonce du mob sur son meuporg) . Mais s’améliore en rapprochant la box. Je pense que désactiver le wifi power management permet d'arrêter les déconnexions intempestives. c'est déjà une première étape.
La deuxième serait de pouvoir  augmenter mon bitrate

Dernière modification par paulkassouf (Le 06/07/2017, à 16:05)

Hors ligne

#38 Le 06/07/2017, à 16:45

xubu1957

Re : WIFI lent et déconnexions

Bonjour,

  Bit Rate=1 Mb/s 

Vu la Doc : wifi#connexion_lente et ton interface wlp2s0

Si vous voyez Bit Rate=1Mb/s alors tapez :

sudo ifdown wlp2s0
sudo iwconfig wlp2s0 rate 54M
sudo ifup wlp2s0

Enfin, faites "iwconfig" pour vérifier qu'il vous met bien Bit Rate=54Mb/s . Voilà qui devrait aller mieux !
...


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Aspire 9411ASWI - HP 7100 DC - Asus 1015BX -Fujitsu Siemens Scaleo J3000  Membre de : Linux-Azur

Hors ligne

#39 Le 06/07/2017, à 16:54

paulkassouf

Re : WIFI lent et déconnexions

paul@paul-TERRA-MOBILE-360-11:~$ sudo ifdown wlp2s0
Unknown interface wlp2s0

Hors ligne

#40 Le 06/07/2017, à 16:56

paulkassouf

Re : WIFI lent et déconnexions

sudo iwconfig wlp2s0 rate 54M
Error for wireless request "Set Bit Rate" (8B20) :
    SET failed on device wlp2s0 ; Operation not supported.

Hors ligne

#41 Le 06/07/2017, à 17:09

xubu1957

Re : WIFI lent et déconnexions

Donne :

iwconfig wlp2s0 | iw dev wlp2s0 link

Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Aspire 9411ASWI - HP 7100 DC - Asus 1015BX -Fujitsu Siemens Scaleo J3000  Membre de : Linux-Azur

Hors ligne

#42 Le 06/07/2017, à 17:36

paulkassouf

Re : WIFI lent et déconnexions

Connected to 24:95:04:d3:0a:44 (on wlp2s0)
	SSID: SFR_0A40
	freq: 2462
	RX: 8501597 bytes (7017 packets)
	TX: 385807 bytes (3045 packets)
	signal: -65 dBm
	tx bitrate: 2.0 MBit/s

	bss flags:	short-slot-time
	dtim period:	3
	beacon int:	100

Hors ligne

#43 Le 06/07/2017, à 17:50

xubu1957

Re : WIFI lent et déconnexions

Tu devrais vérifier si tu as un fichier (avec wlp2s0):

chibbata a écrit :

salut
verifie dans /etc/network/if-up.d,la présence d'un script contenant :
#!/bin/sh
iwconfig wlan1 rate 54M

> [résolu] Problème configuration wifi au démarrage wlan0-wlan1


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Aspire 9411ASWI - HP 7100 DC - Asus 1015BX -Fujitsu Siemens Scaleo J3000  Membre de : Linux-Azur

Hors ligne

#44 Le 06/07/2017, à 18:14

paulkassouf

Re : WIFI lent et déconnexions

j'ai trois fichiers et aucun ne comporte wlp2s0 : 000resolvconf upstart wpasupplicant


000resolvconf upstart wpasupplicant

#!/bin/sh
#
# ifup hook script for resolvconf
#
# This file is part of the resolvconf package.
#

[ -x /sbin/resolvconf ] || exit 0

case "$ADDRFAM" in
  inet|inet6) : ;;
  *) exit 0 ;;
esac

R=""
if [ "$IF_DNS_DOMAIN" ] ; then
	R="${R}domain $IF_DNS_DOMAIN
"
fi
if [ "$IF_DNS_SEARCH" ] ; then
	R="${R}search $IF_DNS_SEARCH
"
fi
if [ "$IF_DNS_SORTLIST" ] ; then
	R="${R}sortlist $IF_DNS_SORTLIST
"
fi
for NS in $IF_DNS_NAMESERVERS ; do
	R="${R}nameserver $NS
"
done

# Note: arguments of multiple instances of options are separated by newlines
set_NS_to_first_arg() { NS="$1" ; }
STANDARD_IFS="$IFS"
IFS='
'
for OPT in $IF_DNS_NAMESERVER ; do
	IFS="$STANDARD_IFS"
	set_NS_to_first_arg $OPT
	[ "$NS" ] && R="${R}nameserver $NS
"
done
IFS="$STANDARD_IFS"

echo -n "$R" | /sbin/resolvconf -a "${IFACE}.${ADDRFAM}" || :

upstart

#!/bin/sh -e
MARK_DEV_PREFIX="/run/network/ifup."
MARK_STATIC_NETWORK_EMITTED="/run/network/static-network-up-emitted"

if [ -e /lib/lsb/init-functions ]; then
    . /lib/lsb/init-functions
fi

if ! init_is_upstart; then
    exit 0
fi

# Let's ignore meta entries (ifup -a)
if [ "$ADDRFAM" = "meta" ]; then
    exit 0
fi

# lo emission handled by /etc/init/network-interface.conf
if [ "$IFACE" != lo ]; then
    initctl emit -n net-device-up \
        "IFACE=$IFACE" \
        "LOGICAL=$LOGICAL" \
        "ADDRFAM=$ADDRFAM" \
        "METHOD=$METHOD"
fi

get_auto_interfaces() {
	# write to stdout a list of interfaces configured as 'auto' in interfaces(5)
	local found=""
	# stderr redirected as it outputs things like:
	# Ignoring unknown interface eth0=eth0.
	found=$(ifquery --list --allow auto 2>/dev/null) || return
	set -- ${found}
	echo "$@"
}

all_interfaces_up() {
	# return true if all interfaces listed in /etc/network/interfaces as 'auto'
	# are up.  if no interfaces are found there, then "all [given] were up"
	local prefix="$1" iface=""
	for iface in $(get_auto_interfaces); do
		# if cur interface does is not up, then all have not been brought up
		[ -f "${prefix}${iface}" ] || return 1
	done
	return 0
}

# touch our own "marker" indicating that this interface has been brought up.
: > "${MARK_DEV_PREFIX}$IFACE"

if all_interfaces_up "${MARK_DEV_PREFIX}" &&
	mkdir "${MARK_STATIC_NETWORK_EMITTED}" 2>/dev/null; then
	initctl emit --no-wait static-network-up
fi

wpasupplicant

#!/bin/sh

#####################################################################
## Purpose
# This file is executed by ifupdown in pre-up, post-up, pre-down and
# post-down phases of network interface configuration. It allows
# ifup(8), and ifdown(8) to manage wpa_supplicant(8) and wpa_cli(8)
# processes running in daemon mode.
#
# /etc/wpa_supplicant/functions.sh is sourced by this file.
#
# This file is provided by the wpasupplicant package.

#####################################################################
# Copyright (C) 2006 - 2009 Debian/Ubuntu wpasupplicant Maintainers 
# <pkg-wpa-devel@lists.alioth.debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# On Debian GNU/Linux systems, the text of the GPL license,
# version 2, can be found in /usr/share/common-licenses/GPL-2.

if [ -n "$IF_WPA_MAINT_DEBUG" ]; then
	set -x
fi

# quit if we're called for the loopback
if [ "$IFACE" = lo ]; then
	exit 0
fi

# allow wpa_supplicant interface to be specified via wpa-iface
# useful for starting wpa_supplicant on one interface of a bridge
if [ -n "$IF_WPA_IFACE" ]; then
	WPA_IFACE="$IF_WPA_IFACE"
else
	WPA_IFACE="$IFACE"
fi

# source functions
if [ -f /etc/wpa_supplicant/functions.sh ]; then
	. /etc/wpa_supplicant/functions.sh
else
	exit 0
fi

# quit if executables are not installed
if [ ! -x "$WPA_SUP_BIN" ] || [ ! -x "$WPA_CLI_BIN" ]; then
	exit 0
fi

do_start () {
	if test_wpa_cli; then
		# if wpa_action is active for this IFACE, do nothing
		ifupdown_locked && exit 0

		# if the administrator is calling ifup, say something useful
		if [ "$PHASE" = "pre-up" ]; then
			wpa_msg stderr "wpa_action is managing ifup/ifdown state of $WPA_IFACE"
			wpa_msg stderr "execute \`ifdown --force $WPA_IFACE' to stop wpa_action"
		fi
		exit 1
	elif ! set | grep -q "^IF_WPA"; then
		# no wpa- option defined for IFACE, do nothing
		exit 0
	fi

	# ensure stale ifupdown_lock marker is purged
	ifupdown_unlock

	# preliminary sanity checks for roaming daemon
	if [ -n "$IF_WPA_ROAM" ]; then
		if [ "$METHOD" != "manual" ]; then
			wpa_msg stderr "wpa-roam can only be used with the \"manual\" inet METHOD"
			exit 1
		fi
		if [ -n "$IF_WPA_MAPPING_SCRIPT" ]; then
			if ! type "$IF_WPA_MAPPING_SCRIPT" >/dev/null; then
				wpa_msg stderr "wpa-mapping-script \"$IF_WPA_MAPPING_SCRIPT\" is not valid"
				exit 1
			fi
		fi
		if [ -n "$IF_WPA_MAPPING_SCRIPT_PRIORITY" ] && [ -z "$IF_WPA_MAPPING_SCRIPT" ]; then
			wpa_msg stderr "\"wpa-mapping-script-priority 1\" is invalid without a wpa-mapping-script"
			exit 1
		fi
		IF_WPA_CONF="$IF_WPA_ROAM"
		WPA_ACTION_SCRIPT="/sbin/wpa_action"
	fi

	# master function; determines if ifupdown.sh should do something or not
	if [ -n "$IF_WPA_CONF" ] && [ "$IF_WPA_CONF" != "managed" ]; then
		if [ ! -s "$IF_WPA_CONF" ]; then
			wpa_msg stderr "cannot read contents of $IF_WPA_CONF"
			exit 1
		fi	
		WPA_SUP_CONF_CTRL_DIR=$(sed -n -e 's/[[:space:]]*#.*//g' -e 's/[[:space:]]\+.*$//g' \
			-e 's/^ctrl_interface=\(DIR=\)\?\(.*\)/\2/p' "$IF_WPA_CONF")
		if [ -n "$WPA_SUP_CONF_CTRL_DIR" ]; then
			WPA_CTRL_DIR="$WPA_SUP_CONF_CTRL_DIR"
			WPA_SUP_CONF="-c $IF_WPA_CONF"
		else
			# specify the default ctrl_interface since none was defined in
			# the given IF_WPA_CONF
			WPA_SUP_CONF="-c $IF_WPA_CONF -C $WPA_CTRL_DIR"
		fi
	else
		# specify the default ctrl_interface
		WPA_SUP_CONF="-C $WPA_CTRL_DIR"
	fi
}

do_stop () {
	if test_wpa_cli; then
		# if wpa_action is active for this IFACE and calling ifdown,
		# do nothing
		ifupdown_locked && exit 0
	elif test_wpa_supplicant; then
		# wpa_supplicant process exists for this IFACE, but wpa_cli
		# process does not. Allow stop mode to kill this process.
		:
	else
		exit 0
	fi
}

case "$MODE" in 
	start)
		do_start
		case "$PHASE" in
			pre-up)
				kill_wpa_supplicant
				init_wpa_supplicant	|| exit 1
				conf_wpa_supplicant 	|| { kill_wpa_supplicant; exit 1; }
				;;
			post-up)
				init_wpa_cli 		|| { kill_wpa_supplicant; exit 1; }
				;;
		esac
		;;

	stop)
		do_stop
		case "$PHASE" in
			pre-down)
				kill_wpa_cli
				;;
			post-down)
				kill_wpa_supplicant
				;;
			*)
				wpa_msg stderr "unknown phase: \"$PHASE\""
				exit 1
				;;
		esac
		;;
	
	*)
		wpa_msg stderr "unknown mode: \"$MODE\""
		exit 1
		;;
esac

exit 0

Hors ligne

#45 Le 06/07/2017, à 18:22

xubu1957

Re : WIFI lent et déconnexions

Au post #1, paulkassouf a écrit :

...après avoir configuré mon regdomain en=FR sans réussir à éditer le fichier /etc/default/crda car sudo touch  l'ouvre mais me le ferme aussitot.

Donne :

iw reg get

Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Aspire 9411ASWI - HP 7100 DC - Asus 1015BX -Fujitsu Siemens Scaleo J3000  Membre de : Linux-Azur

Hors ligne

#46 Le 06/07/2017, à 18:30

paulkassouf

Re : WIFI lent et déconnexions

paul@paul-TERRA-MOBILE-360-11:~$ iw reg get
country 00: DFS-UNSET
	(2402 - 2472 @ 40), (N/A, 20), (N/A)
	(2457 - 2482 @ 40), (N/A, 20), (N/A), NO-IR
	(2474 - 2494 @ 20), (N/A, 20), (N/A), NO-OFDM, NO-IR
	(5170 - 5250 @ 80), (N/A, 20), (N/A), NO-IR
	(5250 - 5330 @ 80), (N/A, 20), (0 ms), DFS, NO-IR
	(5490 - 5730 @ 160), (N/A, 20), (0 ms), DFS, NO-IR
	(5735 - 5835 @ 80), (N/A, 20), (N/A), NO-IR
	(57240 - 63720 @ 2160), (N/A, 0), (N/A)

Hors ligne

#47 Le 06/07/2017, à 18:34

paulkassouf

Re : WIFI lent et déconnexions

** (gedit:10779): WARNING **: Set document metadata failed: La définition de l'attribut metadata::gedit-position n'est pas prise en charge

Mais en ouvrant le fichier CRDA j'ai bien vu que la modification avait eu lieu : REGDOMAIN=FR

Dernière modification par paulkassouf (Le 06/07/2017, à 18:51)

Hors ligne

#48 Le 06/07/2017, à 18:50

xubu1957

Re : WIFI lent et déconnexions

paulkassouf a écrit :

Bonjour xubu 1957. J'ai tenté sudo iwconfig wlp2s0 power off. Mais j'ai été déconnecté. Je pense maintenant aussi que le problème vient du power management. Sur le même ordinateur sous Windows 10 internet marchait bien. Je vais acheter un câble ethernet tout simplement en attendant de comprendre comment désactiver de façon permanente le wifi power management


Une autre piste prevent-iwconfig-power-management donnée dans ce fil [RÉSOLU] Fichier SYSLOG : Problème WIFI , pour essayer de répondre à ton message # 36.


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Aspire 9411ASWI - HP 7100 DC - Asus 1015BX -Fujitsu Siemens Scaleo J3000  Membre de : Linux-Azur

Hors ligne

#49 Le 06/07/2017, à 18:55

paulkassouf

Re : WIFI lent et déconnexions

C'est réglé grâce à la manœuvre que j'ai appliquée et qui est au message #37

 Power Management:off

ça m'évite au moins de me déconnecter. Maintenant mon problème c'est mon BIT RATE à 1 ms quand je suis à plus d'un metre de la box.

Hors ligne

#50 Le 06/07/2017, à 19:31

xubu1957

Re : WIFI lent et déconnexions

Tu peux essayer un test speedzilla ?

obehouarnkenoby a écrit :

salut, effectivement pas de driver pour le moment mais c'est pas grave j'ai un dongle bluetooth usb et ça marche.
Merci encore

On peut dire qui pour le wifi la solution est :
Cette info 1mbps est fausse.
Pour le vérifier, faire un test de débit sur internet.

Le Bluetooth de la carte n'a à ce jour pas de pilote adapter à Ubuntu.

On peut dire que le pilote fonctionne au mieux et au pas pire

S'il y a une solution plus adaptée je suis toujours intéresser,
en attendant merci à tous

> wifi bug rates 1mb/s


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Aspire 9411ASWI - HP 7100 DC - Asus 1015BX -Fujitsu Siemens Scaleo J3000  Membre de : Linux-Azur

Hors ligne